<ion-app>
  <ion-split-pane contentId="main">
    <ion-menu contentId="main" type="overlay">
      <ion-header>
        <ion-toolbar>
          <ion-title>Covoiturage</ion-title>
        </ion-toolbar>
      </ion-header>
      <ion-content>
        <ion-list>
          <ion-menu-toggle auto-hide="false" *ngFor="let p of appPages">
            <ion-item [routerDirection]="'root'" [routerLink]="[p.url]">
              <ion-icon slot="start" [name]="p.icon"></ion-icon>
              <ion-label>
                {{p.title}}
              </ion-label>
            </ion-item>
          </ion-menu-toggle>

          <ion-menu-toggle auto-hide="false">
            <ion-button expand="block" (click)="logout()">
              Se déconnecter
            </ion-button>
          </ion-menu-toggle>

        </ion-list>
      </ion-content>
    </ion-menu>
    <!-- On appelle le module de routage ici -->
    <ion-router-outlet id="main"></ion-router-outlet>
  </ion-split-pane>
</ion-app>
